pfSense Support Subscription

Author Topic: SG2440 cluster node upgrade to 2.4.2 - Missing objects & "_vlan" replaced by dot  (Read 140 times)

0 Members and 1 Guest are viewing this topic.

Offline nagaraja

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
    • CO.MO.ALT. website
Hi all,

  i have pfsense in HA with 2 nodes. Backup node upgraded with no issue at all. On Master node instead i got several errors in /cf/conf/upgrade_log.latest.txt as shown below:


[43/188] Extracting pear-Net_URL2-2.2.1: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ldap.so' - Shared object "libssl.so.7" not found, required by "libldap-2.4.so.2" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.2" not found, required by "mbstring.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/openssl.so' - Shared object "libssl.so.7" not found, required by "openssl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/readline.so' - Shared object "libreadline.so.8" not found, required by "readline.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Net_URL2-2.2.1


[44/188] Extracting pear-Net_Socket-1.0.14: .. done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ldap.so' - Shared object "libssl.so.7" not found, required by "libldap-2.4.so.2" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.2" not found, required by "mbstring.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/openssl.so' - Shared object "libssl.so.7" not found, required by "openssl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/readline.so' - Shared object "libreadline.so.8" not found, required by "readline.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Net_Socket-1.0.14


[74/188] Extracting pear-HTTP_Request2-2.3.0,1: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.2" not found, required by "mbstring.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/openssl.so' - Shared object "libssl.so.7" not found, required by "openssl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/readline.so' - Shared object "libreadline.so.8" not found, required by "readline.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
pear/HTTP_Request2 can optionally use PHP extension "fileinfo"
pear/HTTP_Request2 can optionally use PHP extension "openssl"
install ok: channel://pear.php.net/HTTP_Request2-2.3.0


[75/188] Extracting pear-Cache_Lite-1.7.16,1: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.2" not found, required by "mbstring.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/openssl.so' - Shared object "libssl.so.7" not found, required by "openssl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/readline.so' - Shared object "libreadline.so.8" not found, required by "readline.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Cache_Lite-1.7.16


[76/188] Extracting pear-Net_SMTP-1.8.0: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/mbstring.so' - Shared object "libonig.so.2" not found, required by "mbstring.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/openssl.so' - Shared object "libssl.so.7" not found, required by "openssl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/readline.so' - Shared object "libreadline.so.8" not found, required by "readline.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
pear/Net_SMTP can optionally use package "pear/Auth_SASL" (version >= 1.0.5)
install ok: channel://pear.php.net/Net_SMTP-1.8.0


[161/188] Extracting pear-Crypt_CHAP-1.5.0: ... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Crypt_CHAP-1.5.0
[162/188] Installing openvpn-2.4.4...
[162/188] Extracting openvpn-2.4.4: .......... done
[163/188] Installing pear-XML_RPC2-1.1.3...
[163/188] Extracting pear-XML_RPC2-1.1.3: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/XML_RPC2-1.1.3


[163/188] Extracting pear-XML_RPC2-1.1.3: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/XML_RPC2-1.1.3


[164/188] Extracting pear-Net_IPv6-1.3.0.b2_2: ...... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Net_IPv6-1.3.0b2


[165/188] Extracting pear-Net_Growl-2.7.0: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
pear/Net_Growl can optionally use package "channel://pear.phpunit.de/PHPUnit" (version >= 3.6.0)
install ok: channel://pear.php.net/Net_Growl-2.7.0


[166/188] Extracting pear-Auth_RADIUS-1.1.0: .... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Auth_RADIUS-1.1.0


[169/188] Extracting pear-Mail-1.4.1,1: .......... done

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/intl.so' - Shared object "libicui18n.so.58" not found, required by "intl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ssh2.so' - Shared object "libssl.so.7" not found, required by "libssh2.so.1" in Unknown on line 0
install ok: channel://pear.php.net/Mail-1.4.1



Files are available in /usr/local/lib/php/20131226/ but libssl.so.7 or libicui18n.so.58 etc. are not in the system nor on the working backup node

I tried to reapply/ force a manual pkg upgrade using

pkg-static update -f
pkg-static upgrade -fy


but i got


[177/189] Extracting pfSense-pkg-snort-3.2.9.5_3: 100%

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/curl.so' - Shared object "libssl.so.7" not found, required by "libcurl.so.4" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/ldap.so' - Shared object "libssl.so.7" not found, required by "libldap-2.4.so.2" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/openssl.so' - Shared object "libssl.so.7" not found, required by "openssl.so" in Unknown on line 0

Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/20131226/readline.so' - Shared object "libreadline.so.8" not found, required by "readline.so" in Unknown on line 0
Removing snort components...
Menu items... done.
Services... done.
Loading package instructions...
pkg-static: Fail to rename /var/db/snort/sidmods/.disablesid-sample.conf.gqejC3weS54Y -> /var/db/snort/sidmods/disablesid-sample.conf:No such file or directory



The real issue is on the interface/vlan definition because now they are listed in this way, missing "_vlan":

 WAN_VODAFONE (wan) -> igb0.50    -> v4:
 LAN_CLIENT (lan) -> igb1.10    -> v4:
 DMZ (opt1)      -> igb2.20    -> v4:
 WAN_TELECOM (opt2) -> igb0.32    -> v4:
 HEARTBEAT_CARP (opt3) -> igb3.999   -> v4:
 LAN_SERVER (opt4) -> igb1.11    -> v4:
 LAN_SQUID (opt5) -> igb1.40    -> v4:
 VOCE_VODAFONE (opt6) -> igb1.100   -> v4:
 LAN_WIFI (opt7) -> igb2.70    -> v4:


Vlan name format ifid.vlanid (read interface-id dot vlan-id) is confirmed by ifconfig command and others.


I reinstalled from 2.3 ADI scratch several times but i always get the same issue during install and same dotted vlans once upgraded to 2.4.

Packages i use:

aws-wizard
acme
ipsec-profile-wizard
Netgate_Coreboot_Upgrade
ntopng
openvpn-client-export
pfBlockerNG
snort


Any ideas or tips?

Thanks in advance

Walter

Offline NogBadTheBad

  • Sr. Member
  • ****
  • Posts: 385
  • Karma: +31/-0
    • View Profile
The way vlans are named changed in 2.4.1 IIRC

Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21378
  • Karma: +1431/-26
    • View Profile
The VLAN names did change, so that's not a problem at all.

The other errors are not unusual to see since those are typically on the interim reboot (The upgrade will install the kernel, reboot, then upgrade all packages since there will be library mismatches, then reboot again).

The only time you really need to worry is if you see errors like that during a normal (re)boot after the upgrade should be complete.
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!

Offline nagaraja

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
    • View Profile
    • CO.MO.ALT. website
Hey,

  thanks for your reply and help

The way vlans are named changed in 2.4.1 IIRC


Since notation with dot is largely used in freebsd i would to agree with you but:

  • Other HA node report vlans in the common way (ifid_vlanid)
  • Denis Karpushin @ customercare.netgate.com told me, not having subscription, to post on pfsense forum or reddit to get help

The VLAN names did change, so that's not a problem at all.


I remember several scripts in pfsense where check for named ifid_vlanid to work with


The other errors are not unusual to see since those are typically on the interim reboot (The upgrade will install the kernel, reboot, then upgrade all packages since there will be library mismatches, then reboot again).


I am ok with you if this happen along upgrade


The only time you really need to worry is if you see errors like that during a normal (re)boot after the upgrade should be complete.


Normal reboot does not show any of this warning; at least until last OS reinstall.



Offline jimp

  • Administrator
  • Hero Member
  • *****
  • Posts: 21378
  • Karma: +1431/-26
    • View Profile
If your secondary system doesn't have that syntax then your secondary is broken in some way. The configuration did not upgrade properly.
Need help fast? Commercial Support!

Co-Author of pfSense: The Definitive Guide. - Check the Doc Wiki for FAQs.

Do not PM for help!